package com.zcxk.service;

import com.zcxk.dto.generalView.DeviceWaterSupply;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface AppPageReportService {

    //App数据总览-生产数据-前N个月的售水量
    List<DeviceWaterSupply> deviceSellerWaterReportForMonth(Integer companyOrgId,Integer month);

    //App数据总览-营收数据-前N个月的营收金额
    List<DeviceWaterSupply> deviceSellerAmountReportForMonth(Integer companyOrgId,Integer month);

    //App数据总览-生产数据-前N个月的去取水量（水源：4）
    //前N个月的去制水量（水厂：3）
    List<DeviceWaterSupply> deviceWaterReportForMonth(Integer companyOrgId,String sceneType, Integer parmType,Integer month);

    List<DeviceWaterSupply> deviceWaterReportForDay(Integer companyOrgId,String sceneType, Integer parmType,Integer day);

    BigDecimal CalculationComparison(List<DeviceWaterSupply> sameWaterList, List<DeviceWaterSupply> lastWaterList);

    BigDecimal CalculationComparison2(List<DeviceWaterSupply> comparisonList, int type);

    List<Map<String,Object>> findSceneAmount(Long companyOrgId,Integer months);

    void CalculationNrw(List<DeviceWaterSupply> supplyWaterList, List<DeviceWaterSupply> makingWaterList,List<DeviceWaterSupply> sellerWaterList,Map<String,Object> map);
}
